<!-- Click on the "Preview" tab to render the instructions in a more readable format -->

> **Please read the [contribution guidelines](https://github.com/arcticicestudio/nord-hyper/blob/develop/CONTRIBUTING.md) before filling out this issue template**.

## Prerequisites

This section and the instructions in the sections below are only part of this issue template. Please ensure to **delete this whole section, all pre-filled instructions of the sections below and sections you have not filled out before submitting** to ensure a clear structure and overview.

Please do your best to provide as much information as possible and use a clear and descriptive title for your enhancement suggestion or bug report to help maintainers and the community understand and reproduce the behavior, find related reports and to resolve the ticket faster.

* **Ensure the issue has not already been reported by using the [GitHub Issues search](https://github.com/arcticicestudio/nord-hyper/issues)** — if it has **and the issue is still open**, add a comment to the existing issue instead of opening this new one. If you find a closed issue that seems to be similar to this one, include a link to the original issue in the [metadata head](#metadata-head) section of this issue.
* **Ensure the issue is reproducible** — try to use the [latest version](https://github.com/arcticicestudio/nord-hyper/releases/latest) and [`develop`](https://github.com/arcticicestudio/nord-hyper/tree/develop) branch.

## Metadata Head

The metadata head should be added to the top of the issue as [Markdown text quote](https://help.github.com/articles/basic-writing-and-formatting-syntax) containing the [issue type](#issue-type) and if necessary the ID of other related issues.

> Issue type:
Related issues:

### Issue Type

Set the *type* of this issue. It determines which information will be required in the following sections when it is an [bug report](https://github.com/arcticicestudio/nord-hyper/blob/develop/CONTRIBUTING.md#bug-reports) or an [enhancement suggestion](https://github.com/arcticicestudio/nord-hyper/blob/develop/CONTRIBUTING.md#enhancement-suggestions).

* *feature*
* *improvement*
* *bug*
* *test*
* *task*
* *subtask*

## Description

Describe the enhancement or bug as in many relevant details as possible. If this is a enhancement suggestion add specific use-cases and explain why this feature or improvement would be useful. If this is a bug provide ensure to fill in the [steps to reproduce](#steps-to-reproduce) it.

### Steps to Reproduce

1. Step One
2. Step Two
3. ...

### Expected Behavior

What you expect to happen?

### Actual Behavior

What actually happens?

## Example

Provide a [MCVE - The Minimal, Complete, and Verifiable Example](https://github.com/arcticicestudio/nord-hyper/blob/develop/CONTRIBUTING.md#mcve)

**This is a optional section, but it can drastically increase the speed at which this issue can be processed since it takes away the time-consuming reconstruction to reproduce the enhancement or bug.**

The recommened way is to upload it as [Gist](https://gist.github.com) or new repository to GitHub, but of course you can [attach it to this issue](https://help.github.com/articles/file-attachments-on-issues-and-pull-requests), use any free file hosting service or paste the code in [Markdown code blocks](https://help.github.com/articles/basic-writing-and-formatting-syntax) into this issue.

## Environment and Versions

* What is the version of Nord Hyper you are running?
* What is the name and the version of your OS?
  * Have you tried to reproduce it on different OS environments and if yes is the behavior the same for all?
* Which [Node.js](https://nodejs.org) and [Hyper](https://hyper.is) version are you running?
  * Are you using any additional CLI arguments for Node.js?

## Stack Trace and Error Messages

```
Paste the full stack trace, error messages or the logfile here ...
```

... or [attach them as files](https://help.github.com/articles/file-attachments-on-issues-and-pull-requests) to this issue.

## References

Add any other references and links which are relevant for this issue.

## Potential Solution

If this is a bug report this might include the lines of code that you have identified as causing the bug or in case of an enhancement suggestion references to other projects where this enhancement already exists.
