<p align="center"><img src="https://cdn.rawgit.com/arcticicestudio/nord-hyper/develop/assets/nord-hyper-banner.svg"/></p>

<p align="center"><img src="https://cdn.travis-ci.org/images/favicon-c566132d45ab1a9bcae64d8d90e4378a.svg" width=24 height=24/> <a href="https://travis-ci.org/arcticicestudio/nord-hyper"><img src="https://img.shields.io/travis/arcticicestudio/nord-hyper/develop.svg?style=flat-square"/></a> <img src="https://circleci.com/favicon.ico" width=24 height=24/> <a href="https://circleci.com/gh/arcticicestudio/nord-hyper"><img src="https://img.shields.io/circleci/project/github/arcticicestudio/nord-hyper/develop.svg?style=flat-square"/></a> <img src="https://assets-cdn.github.com/favicon.ico" width=24 height=24/> <a href="https://github.com/arcticicestudio/nord-hyper/releases/latest"><img src="https://img.shields.io/github/release/arcticicestudio/nord-hyper.svg?style=flat-square"/></a> <a href="https://github.com/arcticicestudio/nord/releases/tag/v0.2.0"><img src="https://img.shields.io/badge/Nord-v0.2.0-88C0D0.svg?style=flat-square"/></a> <img src="https://www.npmjs.com/static/images/touch-icons/favicon-32x32.png" width=24 height=24/> <a href="https://www.npmjs.com/package/nord-hyper"><img src="https://img.shields.io/npm/v/nord-hyper.svg?style=flat-square"/></a> <a href="https://www.npmjs.com/package/nord-hyper"><img src="https://img.shields.io/npm/dt/nord-hyper.svg?style=flat-square"/></a> <a href="https://www.npmjs.com/package/nord-hyper"><img src="https://img.shields.io/npm/dm/nord-hyper.svg?style=flat-square"/></a></p>

<p align="center"><a href="https://arcticicestudio.github.io/nord-hyper"><img src="https://img.shields.io/badge/docs-0.5.0-81A1C1.svg?style=flat-square"/></a> <a href="https://github.com/arcticicestudio/nord-hyper/blob/v0.5.0/CHANGELOG.md"><img src="https://img.shields.io/badge/Changelog-0.5.0-81A1C1.svg?style=flat-square"/></a></p>

---

<p align="center">An arctic, north-bluish clean and elegant <a href="https://hyper.is">Hyper</a> theme plugin.</p>

<p align="center">Designed for a fluent and clear workflow based on the <a href="https://github.com/arcticicestudio/nord">Nord</a> color palette.</p>

<p align="center"><img src="https://raw.githubusercontent.com/arcticicestudio/nord-hyper/develop/assets/scrot-top.png"/><blockquote>Font: <a href="https://adobe-fonts.github.io/source-code-pro">Source Code Pro</a> 16px.</blockquote></p>

## Features

<p align="center"><strong>Smooth transitions for tab interactions.</strong><br><img src="https://raw.githubusercontent.com/arcticicestudio/nord-hyper/develop/assets/scrot-feature-tabs.png"/><br><img src="https://raw.githubusercontent.com/arcticicestudio/nord-hyper/develop/assets/scrcast-feature-smooth-tab-transition.gif"/></p>

## Getting Started

The [project documentation][docs] contains chapters to learn about the [installation][docs-getting-started-installation] and development [requirements][docs-getting-started-requirements], [learn how to build][docs-dev-building] the project and [run the tests][docs-dev-testing].

### Quick Start

Nord Hyper can be installed manually by adding `nord-hyper` to your `~/.hyper.js` plugin list:

```js
plugins: [
  'nord-hyper'
]
```

The configuration file can be opened with

* <img src="https://developer.apple.com/favicon.ico" width=16 height=16/> <kbd>⌘</kbd> + <kbd>,</kbd>
* <img src="https://www.kernel.org/theme/images/logos/favicon.png" width=16 height=16/> <img src="https://www.microsoft.com/favicon.ico" width=16 height=16/> <kbd>Ctrl</kbd> + <kbd>,</kbd>
  
and reloaded with

* <img src="https://developer.apple.com/favicon.ico" width=16 height=16/> <kbd>⌘</kbd> + <kbd>Shift</kbd> + <kbd>R</kbd>
* <img src="https://www.kernel.org/theme/images/logos/favicon.png" width=16 height=16/> <img src="https://www.microsoft.com/favicon.ico" width=16 height=16/> <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>R</kbd>

It can also be installed from the command line via [hpm][npm-hpm-cli] by running

```sh
hpm install nord-hyper
```

## Contributing

Read the [contributing guide][docs-dev-contributing] to learn about the development process and how to propose [enhancement suggestions][docs-dev-contributing-enhancements] and [report bugs][docs-dev-contributing-bug-reports], how to [submit pull requests][docs-dev-contributing-pr] and the project's [styleguides][docs-dev-contributing-styleguides], [branch organization][docs-dev-contributing-branch-org] and [versioning][docs-dev-contributing-versioning] model.

The guide also includes information about [minimal, complete, and verifiable examples][docs-dev-contributing-mcve] and other ways to contribute to the project like [improving existing issues][docs-dev-contributing-other-improve-issues] and [giving feedback on issues and pull requests][docs-dev-contributing-other-feedback].

---

<p align="center">Copyright &copy; 2017-present Arctic Ice Studio</p>

<p align="center"><a href="https://github.com/arcticicestudio/nord-hyper/blob/develop/LICENSE.md"><img src="https://img.shields.io/badge/License-MIT-5E81AC.svg?style=flat-square"/></a> <a href="https://creativecommons.org/licenses/by-sa/4.0"><img src="https://img.shields.io/badge/License-CC_BY--SA_4.0-5E81AC.svg?style=flat-square"/></a></p>

[docs]: https://arcticicestudio.github.io/nord-hyper
[docs-dev-building]: https://arcticicestudio.github.io/nord-hyper/development/building.html
[docs-dev-contributing]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html
[docs-dev-contributing-branch-org]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#branch-organization
[docs-dev-contributing-bug-reports]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#bug-reports
[docs-dev-contributing-enhancements]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#enhancement-suggestions
[docs-dev-contributing-mcve]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#mcve
[docs-dev-contributing-other-feedback]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#give-feedback-on-issues-and-pull-requests
[docs-dev-contributing-other-improve-issues]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#improve-issues
[docs-dev-contributing-pr]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#pull-requests
[docs-dev-contributing-styleguides]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#styleguides
[docs-dev-contributing-versioning]: https://arcticicestudio.github.io/nord-hyper/development/contributing.html#versioning
[docs-dev-testing]: https://arcticicestudio.github.io/nord-hyper/development/testing.html
[docs-getting-started-installation]: https://arcticicestudio.github.io/nord-hyper/getting-started/installation.html
[docs-getting-started-requirements]: https://arcticicestudio.github.io/nord-hyper/getting-started/requirements.html
[npm-hpm-cli]: https://www.npmjs.com/package/hpm-cli
